--- title: "Run DB upload (VPC)" slug: "analytics-cloudsearch-postdbuploadvpc" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-cloudsearch-postdbuploadvpc" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Run DB upload (VPC) Run the DB upload feature for the domain. ``` POST https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/domain/{name}/document/manage/db_upload/vpc ``` ## Request ### Request parameters | Parameter name | Requirement status | Type | Restrictions | Explanation | | --- | --- | --- | --- | --- | | name | Yes | string | Domain name created | Domain name to search autocomplete history | | region | Yes | string | region code | The region code where the DB server is located | ## Request ### Request body | Parameter name | Requirement status | Type | Restrictions | Explanation | | --- | --- | --- | --- | --- | | dbKind | Yes | String | mysql, mariadb | DB type | | host | Yes | String | | DB Instance ID | | port | Yes | Integer | | DB port | | user | Yes | String | | User ID | | password | Yes | String | | Password | | db | Yes | String | | Database base name | | charset | Yes | String | | DB character set | | keyField | Yes | String | | Key column to apply | | indexTypeField | Yes | String | | Index column to apply | | sql | Yes | String | | DB query | | connectTimeout | Yes | Int | | Connection timeout (Unit: second) | ## Response ### Response statuses | HTTP status | Desc | | --- | --- | | 200 | OK (Successfully searched) | | 400 | Bad Request | | 401 | Unauthorized | | 403 | Forbidden | | 404 | Not Found | | 500 | Internal Server Error | ## Example ### Request example ``` POST /CloudSearch/real/v1/domain/eeee/document/manage/db_upload/vpc Host: cloudsearch.apigw.ntruss.com accept:application/json x-ncp-apigw-signature-v2: cDwtHuQeGmwWyNmwlN6XIGA66zge4iMXvfoDQNna05g= x-ncp-apigw-timestamp: 1545817618751 x-ncp-iam-access-key: teGTwtcSEGA7fu28BGGi { "dbKind": "mysql", "host": "1111223", "port": 3306, "user": "root", "password": "alskdj", "db": "cloud_search", "charset": "utf8", "keyField": "id", "indexTypeField": "index_type", "sql": "select * from test_data", "connectTimeout": 4, } ``` ### Database example | tid | first_name | last_name | gender | ip_address | index_type | | --- | --- | --- | --- | --- | --- | | 1 | Vasili | Godsmark | Male | 62.135.174.46 | upsert | | 2 | Swen | Rumbelow | Male | 201.122.144.133 | delete | | 3 | Davita | Ovington | Female | 57.80.83.212 | insert | | 4 | Berri | Garwood | Female | 76.35.55.206 | update | ### Response example ``` {"result":"ok"} ```